View ProjeQtOr On SourceForge.net
ProjeQtOr - Project Management Tool
Supportez nous sur Capterra
OIN - Open Invention Network
ProjeQtOr free project management software - NO COMPATIBILITY WITH PHP 8.1 - ProjeQtOr

Prochaines sessions de formation

Les prochaines formations et démonstrations sont ouvertes, inscrivez-vous rapidement !

 

Démonstration de ProjeQtOr

(gratuit, sur inscription)

Mardi 23 avril (10h30-12h)

Jeudi 16 mai (16h-17h30)

Jeudi 13 juin (10h30-12h)

 
 

Planifiez avec ProjeQtOr

3 et 4 avril (9h - 12h30)

 
 

Administrez avec ProjeQtOr

10 et 11 avril (9h - 12h30)

 

 

 
 

NO COMPATIBILITY WITH PHP 8.1

More
01 Déc 2021 11:08 #1 by babynus
Up to version 9.3.4 and possibly future 9.4.x, ProjeQtOr is not compatible with PHP 8.1.
Some backwards-compatibility breaking change brought by PHP 8.1 will raise "Deprecated" warnings.
Avoid deploying PHP 8.1 or be sure to remove deprecation noitices.

Babynus
Administrator of ProjeQtOr web site

Please Connexion or Create an account to join the conversation.

More
13 Fév 2022 18:49 #2 by wjl
Replied by wjl on topic NO COMPATIBILITY WITH PHP 8.1
It would be really great if this were mentioned in the installation instructions here: www.projeqtor.org/files/readme.txt

I spent several hours yesterday installing ProjeQtOr V9.4.3 in a custom Docker configuration, and about 30 minutes of that was debugging why it wouldn't work on a production setup even though my initial prototype worked fine.

I tracked it down to the using the standard php:8-apache container, which has PHP 8.1. I searched the web for the error message I was getting and found a form post about ProjeQtOr being incompatible with PHP 8.1. I went back and changed my containers to be based on php:8.0-apache and this solved the problem completely.

Anyway, not a huge deal, I have no problem running with any version of PHP that works (containerization makes that very easy), but I wish I had known about it up front. =)

Thanks for making such a great piece of software.

Please Connexion or Create an account to join the conversation.

More
10 Juil 2023 15:35 #3 by Plucks
Here is the compatibility matrix for versions of ProjeQtOr, PHP and MySQL, and various technical requirements :
www.projeqtor.org/en/product-en/technica...uct-prerequisites-en

Please Connexion or Create an account to join the conversation.

Moderators: babynusprotion
Time to create page: 0.037 seconds

Paramétrages de cookies

×

Cookies fonctionnels

Ce site utilise des cookies pour assurer son bon fonctionnement et ne peuvent pas être désactivés de nos systèmes. Nous ne les utilisons pas à des fins publicitaires. Si ces cookies sont bloqués, certaines parties du site ne pourront pas fonctionner.

Session

Veuillez vous connecter pour voir vos activités!

Autres cookies

Ce site web utilise un certain nombre de cookies pour gérer, par exemple, les sessions utilisateurs.